## groovy.util
Class ObservableMap.PropertyUpdatedEvent

    java.lang.Object
      java.util.EventObject
          java.beans.PropertyChangeEvent
              groovy.util.ObservableMap.PropertyEvent
                  groovy.util.ObservableMap.PropertyUpdatedEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  ObservableMap

    public static class ObservableMap.PropertyUpdatedEvent

extends ObservableMap.PropertyEvent

See Also:
  Serialized Form

Field Summary

Fields inherited from class groovy.util.ObservableMap.PropertyEvent
`ADDED, CLEARED, MULTI, NEWVALUE, OLDVALUE, REMOVED, UPDATED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ObservableMap.PropertyUpdatedEvent(Object source, String propertyName, Object oldValue, Object newValue)`

Method Summary

Methods inherited from class groovy.util.ObservableMap.PropertyEvent
`getType, getTypeAsString`

Methods inherited from class java.beans.PropertyChangeEvent
`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObservableMap.PropertyUpdatedEvent

    public ObservableMap.PropertyUpdatedEvent(Object source,
                                              String propertyName,
                                              Object oldValue,
                                              Object newValue)

Copyright © 2003-2009 The Codehaus. All rights reserved.